<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.expedientemanualGlucosa.home.createOrEditLabel"
          data-cy="GlucosaCreateUpdateHeading"
          v-text="$t('gatewayApp.expedientemanualGlucosa.home.createOrEditLabel')"
        >
          Create or edit a Glucosa
        </h2>
        <div>
          <div class="form-group" v-if="glucosa.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="glucosa.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.expedientemanualGlucosa.glucosaUser')" for="glucosa-glucosaUser"
              >Glucosa User</label
            >
            <input
              type="number"
              class="form-control"
              name="glucosaUser"
              id="glucosa-glucosaUser"
              data-cy="glucosaUser"
              :class="{ valid: !$v.glucosa.glucosaUser.$invalid, invalid: $v.glucosa.glucosaUser.$invalid }"
              v-model.number="$v.glucosa.glucosaUser.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.expedientemanualGlucosa.fechaRegistro')" for="glucosa-fechaRegistro"
              >Fecha Registro</label
            >
            <div class="d-flex">
              <input
                id="glucosa-fechaRegistro"
                data-cy="fechaRegistro"
                type="datetime-local"
                class="form-control"
                name="fechaRegistro"
                :class="{ valid: !$v.glucosa.fechaRegistro.$invalid, invalid: $v.glucosa.fechaRegistro.$invalid }"
                :value="convertDateTimeFromServer($v.glucosa.fechaRegistro.$model)"
                @change="updateInstantField('fechaRegistro', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.expedientemanualGlucosa.user')" for="glucosa-user">User</label>
            <select class="form-control" id="glucosa-user" data-cy="user" name="user" v-model="glucosa.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="glucosa.user && userOption.id === glucosa.user.id ? glucosa.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.glucosa.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./glucosa-update.component.ts"></script>
